<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
    
    define("DEFAULT_DATE", "2007-04-05");
    
	/**
	 * implements the configuration view
	 */
	class AdminCssNakedConfigView extends AdminPluginTemplatedView
	{

		function AdminCssNakedConfigView ( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "cssnaked", "pluginsettings" );
		}
		
		function render()
		{
			$default = strtotime(DEFAULT_DATE);
		    
		    // load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();

			$pluginEnabled = $blogSettings->getValue( "plugin_cssnaked_enabled" );
		    $addNotice = $blogSettings->getValue( "plugin_cssnaked_addNotice");
		    		    
		    $startDate = date('Y-m-d', $blogSettings->getValue("plugin_cssnaked_startDate", $default));
		    $endDate = date('Y-m-d', $blogSettings->getValue("plugin_cssnaked_endDate", $default));


		    //TODO
		    //$timeFrame = $blogSettings->getValue( "plugin_cssnaked_timeFrame" );

			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );		
			$this->setValue( "startDate", $startDate );
			$this->setValue( "endDate", $endDate );
			$this->setValue( "addNotice", $addNotice );
				
			
			parent::render();
		}
	}
?>
